<?php

namespace App\Models;

use Baum;
use App\Services\Tree\Collection;

class NodeTree extends Baum\Node
{
    
    /**
     * @inheritdoc
     * 
     * Overload new Collection
     *
     * @param array $models
     * @return \Baum\Extensions\Eloquent\Collection
     */
    public function newCollection(array $models = array()) {
        return new Collection($models);
    }
}
